package intrinsic.mx.events;

public class ToolTipEvent extends intrinsic.flash.events.Event {

	/** Accessors */

	/** Variables */
	public intrinsic.mx.core.IToolTip toolTip;

	/** Constants */
	public static final String TOOL_TIP_CREATE = "tool_tip_create";
	public static final String TOOL_TIP_START = "tool_tip_start";
	public static final String TOOL_TIP_HIDE = "tool_tip_hide";
	public static final String TOOL_TIP_SHOWN = "tool_tip_shown";
	public static final String TOOL_TIP_END = "tool_tip_end";
	public static final String VERSION = "version";
	public static final String TOOL_TIP_SHOW = "tool_tip_show";

	/** Class Accessors */

	/** Class variables */

/** Contructors */
public ToolTipEvent() {
}

public ToolTipEvent(String arg0) {
}

public ToolTipEvent(String arg0, boolean arg1) {
}

public ToolTipEvent(String arg0, boolean arg1, boolean arg2) {
}

public ToolTipEvent(String arg0, boolean arg1, boolean arg2, intrinsic.mx.core.IToolTip arg3) {
}


/** Static Methods */

/** Methods */
public native Object clone();

}
